nejde instalovat tiskárna z balíčku od výrobce


#1

Zdar,
mám tiskárnu XEROX 6020 s originálními ovladači RPM.
Na verzi F25 chodila bez problémů F28 nejde vůbec nainstalovat :frowning:

Tvrdí mi to, že instalace proběhla, ale při přidání tiskárny mi to ovladač nenajde.

tohle je reinstall log:


Poslední kontrola metadat: před 2:21:24, Pá 11. května 2018, 05:11:44 CEST.
Závislosti vyřešeny.
==========================================================================================================================================
 balíček                                Arch                        Verze                         Repozitář                          Vel.
==========================================================================================================================================
K přeinstalování:
 Xerox-Phaser-6020                      x86_64                      1.0-24                        @commandline                      670 k

Shrnutí transakce
==========================================================================================================================================

Celková velikost: 670 k
Nainstalovat? [a/N]: a
Stahování balíčků:
Spouštím kontrolu transakce
Kontrola transakce byla úspěšná
Probíhá test transakce
Test transakce byl úspěšný.
Transakce běží
  Příprava        :                                                                                                                   1/1 
  K přeinstalování: Xerox-Phaser-6020-1.0-24.x86_64                                                                                   1/2 
  Běžící skriptlet: Xerox-Phaser-6020-1.0-24.x86_64                                                                                   1/2 
/var/tmp/rpm-tmp.WOTqzy: řádek 3: /etc/init.d/cups: No such file or directory
varování: provedení %post(Xerox-Phaser-6020-1.0-24.x86_64) skripletu selhalo, návratový kód: 127
Non-fatal POSTIN scriptlet failure in rpm package Xerox-Phaser-6020
Non-fatal POSTIN scriptlet failure in rpm package Xerox-Phaser-6020
  Odstranění      : Xerox-Phaser-6020-1.0-24.x86_64                                                                                   2/2 
  Běžící skriptlet: Xerox-Phaser-6020-1.0-24.x86_64                                                                                   2/2 
/var/tmp/rpm-tmp.z7mQ85: řádek 2: /etc/init.d/cups: No such file or directory
varování: provedení %postun(Xerox-Phaser-6020-1.0-24.x86_64) skripletu selhalo, návratový kód: 127
Non-fatal POSTUN scriptlet failure in rpm package Xerox-Phaser-6020
Non-fatal POSTUN scriptlet failure in rpm package Xerox-Phaser-6020
  Ověřuji         : Xerox-Phaser-6020-1.0-24.x86_64                                                                                   1/2 
  Ověřuji         : Xerox-Phaser-6020-1.0-24.x86_64                                                                                   2/2 

Přeinstalováno:
  Xerox-Phaser-6020.x86_64 1.0-24                                                                                                         

Hotovo!


#2

Balicek pouziva prime volani /etc/init.d/cups coz v F28 uz nejspis nefunguje, protoze systemd. Tzn. bud musi vyrobce vydat novy balik (kdyby aspon pouzili service cups restart bylo by to zpetne kompatibilni). Tezko rict co balik dela v tom skriptu za hruzy, nekteri vyrobci instaluji i soubory ve skriptu misto aby je meli jako soubory v baliku, kdyz skript selze intalace muze byt nedokoncena. Mas nekolik moznosti:

  1. napsat vyrobci at to opravi
  2. opravit si balik
  3. vytvorit skript /etc/init.d/cups kde nebude nic nebo ta dej neco jako “systemctl restart cupsd” a zkusit reinstall

kazdopadne se podivej do obsahu toho baliku, mel by tam nekde byt soubor .ppd, ten se musi nakopirovat mezi definice tiskarem nebo tak neco. Pripadne posli odkaz na balik ja se podivam co tam je.


#3

Nemám chuť a sílu hrabat se uvnitř…

Tady je ten odkaz:

http://www.support.xerox.com/support/phaser-6020/file-download/cscz.html?operatingSystem=linux&fileLanguage=cs&contentId=131217&from=downloads&viewArchived=false


#4

Díky za radu :slight_smile:

Nakonec to nebylo tak náročný.

Bylo potřeba to dvakrát rozbalit, než jsem se k tomu souboru dostal.
Ač správce tiskáren údajně umí pracovat se soubory .ppd.gz,
tak to bylo potřeba rozbalit, .ppd vzal bez problémů.